---
title: Configuration
---

### Configuration

Below is the full configuration available with defaults values:

    "example" => [
        "type"   => "anomaly.field_type.boolean",
        "config" => [
            "default_value" => false,
            "on_color"      => "success",
            "off_color"     => "danger",
            "on_text"       => "YES",
            "off_text"      => "NO",
            "mode"          => "checkbox",
            "label"         => null,
        ]
    ]

###### Configuration

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Example</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

default_value

</td>

<td>

true

</td>

<td>

The default value.

</td>

</tr>

<tr>

<td>

on_color

</td>

<td>

default

</td>

<td>

The color of the "on" state. Valid options are `success`, `info`, `warning`, `danger`, and `default`.

</td>

</tr>

<tr>

<td>

off_color

</td>

<td>

warning

</td>

<td>

The color of the "off" state. Valid options are `success`, `info`, `warning`, `danger`, and `default`.

</td>

</tr>

<tr>

<td>

on_text

</td>

<td>

Yeppers

</td>

<td>

The text for the "on" state.

</td>

</tr>

<tr>

<td>

off_text

</td>

<td>

No way!

</td>

<td>

The text for the "off" state.

</td>

</tr>

<tr>

<td>

mode

</td>

<td>

checkbox

</td>

<td>

The input mode. Valid options are `radio`, `switch`, or `checkbox`.

</td>

</tr>

<tr>

<td>

label

</td>

<td>

Yes, I agree to these terms.

</td>

<td>

For `checkbox` mode only. The checkbox label.

</td>

</tr>

</tbody>

</table>
